import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx'
import vueDevTools from 'vite-plugin-vue-devtools'
import tailwindcss from '@tailwindcss/vite'


const targetUrl = "http://172.93.218.201:1818"

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueJsx(),
    vueDevTools(),
    tailwindcss(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    host:'0.0.0.0',
    port: 8088,
    proxy:{
      "/myApi":{
        target:targetUrl,
        changeOrigin:true,
        rewrite: path => path.replace(/^\/myApi/, ''), // 去掉前缀 
      }
    }
  }
})
